## EvJobPrint EvJobPrint — |

## Synopsis

    #define     EV_TYPE_JOB_LINKS
    #define     EV_JOB_LINKS                    (object)
    #define     EV_JOB_LINKS_CLASS              (klass)
    #define     EV_IS_JOB_LINKS                 (object)
    #define     EV_TYPE_JOB_RENDER
    #define     EV_JOB_RENDER                   (object)
    #define     EV_JOB_RENDER_CLASS             (klass)
    #define     EV_IS_JOB_RENDER                (object)
    #define     EV_TYPE_JOB_THUMBNAIL
    #define     EV_JOB_THUMBNAIL                (object)
    #define     EV_JOB_THUMBNAIL_CLASS          (klass)
    #define     EV_IS_JOB_THUMBNAIL             (object)
    #define     EV_TYPE_JOB_FONTS
    #define     EV_JOB_FONTS                    (object)
    #define     EV_JOB_FONTS_CLASS              (klass)
    #define     EV_IS_JOB_FONTS                 (object)
    #define     EV_TYPE_JOB_LOAD
    #define     EV_JOB_LOAD                     (object)
    #define     EV_JOB_LOAD_CLASS               (klass)
    #define     EV_IS_JOB_LOAD                  (object)
    #define     EV_TYPE_JOB_SAVE
    #define     EV_JOB_SAVE                     (object)
    #define     EV_JOB_SAVE_CLASS               (klass)
    #define     EV_IS_JOB_SAVE                  (object)
    #define     EV_TYPE_JOB_PRINT
    #define     EV_JOB_PRINT                    (object)
    #define     EV_JOB_PRINT_CLASS              (klass)
    #define     EV_IS_JOB_PRINT                 (object)
    enum        EvJobPriority;
                EvJob;
                EvJobLinks;
                EvJobRender;
                EvJobThumbnail;
                EvJobFonts;
                EvJobLoad;
                EvJobSave;
                EvJobPrint;
    void        ev_job_finished                 (EvJob *job);
    GType       ev_job_links_get_type           (void);
    EvJob*      ev_job_links_new                (EvDocument *document);
    void        ev_job_links_run                (EvJobLinks *thumbnail);
    GType       ev_job_render_get_type          (void);
    EvJob*      ev_job_render_new               (EvDocument *document,
                                                 EvRenderContext *rc,
                                                 gint width,
                                                 gint height,
                                                 EvRectangle *selection_points,
                                                 EvSelectionStyle selection_style,
                                                 GdkColor *text,
                                                 GdkColor *base,
                                                 gboolean include_forms,
                                                 gboolean include_links,
                                                 gboolean include_images,
                                                 gboolean include_text,
                                                 gboolean include_selection);
    void        ev_job_render_run               (EvJobRender *thumbnail);
    GType       ev_job_thumbnail_get_type       (void);
    EvJob*      ev_job_thumbnail_new            (EvDocument *document,
                                                 EvRenderContext *rc);
    void        ev_job_thumbnail_run            (EvJobThumbnail *thumbnail);
    GType       ev_job_fonts_get_type           (void);
    EvJob*      ev_job_fonts_new                (EvDocument *document);
    void        ev_job_fonts_run                (EvJobFonts *fonts);
    GType       ev_job_load_get_type            (void);
    EvJob*      ev_job_load_new                 (const gchar *uri,
                                                 EvLinkDest *dest,
                                                 EvWindowRunMode mode);
    void        ev_job_load_set_uri             (EvJobLoad *load,
                                                 const gchar *uri);
    void        ev_job_load_run                 (EvJobLoad *load);
    GType       ev_job_save_get_type            (void);
    EvJob*      ev_job_save_new                 (EvDocument *document,
                                                 const gchar *uri,
                                                 const gchar *document_uri);
    void        ev_job_save_run                 (EvJobSave *save);
    GType       ev_job_print_get_type           (void);
    EvJob*      ev_job_print_new                (EvDocument *document,
                                                 const gchar *format,
                                                 gdouble width,
                                                 gdouble height,
                                                 EvPrintRange *ranges,
                                                 gint n_ranges,
                                                 EvPrintPageSet page_set,
                                                 gint pages_per_sheet,
                                                 gint copies,
                                                 gdouble collate,
                                                 gdouble reverse);
    void        ev_job_print_run                (EvJobPrint *print);

## Object Hierarchy

      GObject
       +----EvJob
             +----EvJobFonts
             +----EvJobLinks
             +----EvJobLoad
             +----EvJobPrint
             +----EvJobRender
             +----EvJobThumbnail

      GObject
       +----EvJob
             +----EvJobLinks

      GObject
       +----EvJob
             +----EvJobRender

      GObject
       +----EvJob
             +----EvJobThumbnail

      GObject
       +----EvJob
             +----EvJobFonts

      GObject
       +----EvJob
             +----EvJobLoad

      GObject
       +----EvJob
             +----EvJobPrint

## Signals

    "page-ready"
                void        user_function      (EvJobRender *evjobrender,
                                                gpointer     user_data)        : Run last

## Description

## Details

### EV_TYPE_JOB_LINKS

    #define EV_TYPE_JOB_LINKS		     (ev_job_links_get_type())

### EV_JOB_LINKS()

    #define EV_JOB_LINKS(object)		     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_LINKS, EvJobLinks))

`object` : |

### EV_JOB_LINKS_CLASS()

    #define EV_JOB_LINKS_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_LINKS, EvJobLinksClass))

`klass` : |

### EV_IS_JOB_LINKS()

    #define EV_IS_JOB_LINKS(object)		     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_LINKS))

`object` : |

### EV_TYPE_JOB_RENDER

    #define EV_TYPE_JOB_RENDER		     (ev_job_render_get_type())

### EV_JOB_RENDER()

    #define EV_JOB_RENDER(object)		     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_RENDER, EvJobRender))

`object` : |

### EV_JOB_RENDER_CLASS()

    #define EV_JOB_RENDER_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_RENDER, EvJobRenderClass))

`klass` : |

### EV_IS_JOB_RENDER()

    #define EV_IS_JOB_RENDER(object)	     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_RENDER))

`object` : |

### EV_TYPE_JOB_THUMBNAIL

    #define EV_TYPE_JOB_THUMBNAIL		     (ev_job_thumbnail_get_type())

### EV_JOB_THUMBNAIL()

    #define EV_JOB_THUMBNAIL(object)	     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_THUMBNAIL, EvJobThumbnail))

`object` : |

### EV_JOB_THUMBNAIL_CLASS()

    #define EV_JOB_THUMBNAIL_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_THUMBNAIL, EvJobThumbnailClass))

`klass` : |

### EV_IS_JOB_THUMBNAIL()

    #define EV_IS_JOB_THUMBNAIL(object)	     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_THUMBNAIL))

`object` : |

### EV_TYPE_JOB_FONTS

    #define EV_TYPE_JOB_FONTS		     (ev_job_fonts_get_type())

### EV_JOB_FONTS()

    #define EV_JOB_FONTS(object)	     	     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_FONTS, EvJobFonts))

`object` : |

### EV_JOB_FONTS_CLASS()

    #define EV_JOB_FONTS_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_FONTS, EvJobFontsClass))

`klass` : |

### EV_IS_JOB_FONTS()

    #define EV_IS_JOB_FONTS(object)		     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_FONTS))

`object` : |

### EV_TYPE_JOB_LOAD

    #define EV_TYPE_JOB_LOAD		     (ev_job_load_get_type())

### EV_JOB_LOAD()

    #define EV_JOB_LOAD(object)	     	     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_LOAD, EvJobLoad))

`object` : |

### EV_JOB_LOAD_CLASS()

    #define EV_JOB_LOAD_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_LOAD, EvJobLoadClass))

`klass` : |

### EV_IS_JOB_LOAD()

    #define EV_IS_JOB_LOAD(object)		     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_LOAD))

`object` : |

### EV_TYPE_JOB_SAVE

    #define EV_TYPE_JOB_SAVE		     (ev_job_save_get_type())

### EV_JOB_SAVE()

    #define EV_JOB_SAVE(object)	     	     (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_SAVE, EvJobSave))

`object` : |

### EV_JOB_SAVE_CLASS()

    #define EV_JOB_SAVE_CLASS(klass)	     (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_SAVE, EvJobSaveClass))

`klass` : |

### EV_IS_JOB_SAVE()

    #define EV_IS_JOB_SAVE(object)		     (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_SAVE))

`object` : |

### EV_TYPE_JOB_PRINT

    #define EV_TYPE_JOB_PRINT                    (ev_job_print_get_type())

### EV_JOB_PRINT()

    #define EV_JOB_PRINT(object)                 (G_TYPE_CHECK_INSTANCE_CAST((object), EV_TYPE_JOB_PRINT, EvJobPrint))

`object` : |

### EV_JOB_PRINT_CLASS()

    #define EV_JOB_PRINT_CLASS(klass)            (G_TYPE_CHECK_CLASS_CAST((klass), EV_TYPE_JOB_PRINT, EvJobPrintClass))

`klass` : |

### EV_IS_JOB_PRINT()

    #define EV_IS_JOB_PRINT(object)              (G_TYPE_CHECK_INSTANCE_TYPE((object), EV_TYPE_JOB_PRINT))

`object` : |

### enum EvJobPriority

    typedef enum {
    	EV_JOB_PRIORITY_LOW,
    	EV_JOB_PRIORITY_HIGH,
    } EvJobPriority;

### EvJob

    typedef struct _EvJob EvJob;

### EvJobLinks

    typedef struct _EvJobLinks EvJobLinks;

### EvJobRender

    typedef struct _EvJobRender EvJobRender;

### EvJobThumbnail

    typedef struct _EvJobThumbnail EvJobThumbnail;

### EvJobFonts

    typedef struct _EvJobFonts EvJobFonts;

### EvJobLoad

    typedef struct _EvJobLoad EvJobLoad;

### EvJobSave

    typedef struct {
    	EvJob parent;

    	GError *error;
    	gchar *uri;
    	gchar *document_uri;
    } EvJobSave;

### EvJobPrint

    typedef struct _EvJobPrint EvJobPrint;

### ev_job_finished ()

    void        ev_job_finished                 (EvJob *job);

`job` : |

### ev_job_links_get_type ()

    GType       ev_job_links_get_type           (void);

Returns : |

### ev_job_links_new ()

    EvJob*      ev_job_links_new                (EvDocument *document);

`document` : |
Returns : |

### ev_job_links_run ()

    void        ev_job_links_run                (EvJobLinks *thumbnail);

`thumbnail` : |

### ev_job_render_get_type ()

    GType       ev_job_render_get_type          (void);

Returns : |

### ev_job_render_new ()

    EvJob*      ev_job_render_new               (EvDocument *document,
                                                 EvRenderContext *rc,
                                                 gint width,
                                                 gint height,
                                                 EvRectangle *selection_points,
                                                 EvSelectionStyle selection_style,
                                                 GdkColor *text,
                                                 GdkColor *base,
                                                 gboolean include_forms,
                                                 gboolean include_links,
                                                 gboolean include_images,
                                                 gboolean include_text,
                                                 gboolean include_selection);

`document` : |
`rc` : |
`width` : |
`height` : |
`selection_points` : |
`selection_style` : |
`text` : |
`base` : |
`include_forms` : |
`include_links` : |
`include_images` : |
`include_text` : |
`include_selection` : |
Returns : |

### ev_job_render_run ()

    void        ev_job_render_run               (EvJobRender *thumbnail);

`thumbnail` : |

### ev_job_thumbnail_get_type ()

    GType       ev_job_thumbnail_get_type       (void);

Returns : |

### ev_job_thumbnail_new ()

    EvJob*      ev_job_thumbnail_new            (EvDocument *document,
                                                 EvRenderContext *rc);

`document` : |
`rc` : |
Returns : |

### ev_job_thumbnail_run ()

    void        ev_job_thumbnail_run            (EvJobThumbnail *thumbnail);

`thumbnail` : |

### ev_job_fonts_get_type ()

    GType       ev_job_fonts_get_type           (void);

Returns : |

### ev_job_fonts_new ()

    EvJob*      ev_job_fonts_new                (EvDocument *document);

`document` : |
Returns : |

### ev_job_fonts_run ()

    void        ev_job_fonts_run                (EvJobFonts *fonts);

`fonts` : |

### ev_job_load_get_type ()

    GType       ev_job_load_get_type            (void);

Returns : |

### ev_job_load_new ()

    EvJob*      ev_job_load_new                 (const gchar *uri,
                                                 EvLinkDest *dest,
                                                 EvWindowRunMode mode);

`uri` : |
`dest` : |
`mode` : |
Returns : |

### ev_job_load_set_uri ()

    void        ev_job_load_set_uri             (EvJobLoad *load,
                                                 const gchar *uri);

`load` : |
`uri` : |

### ev_job_load_run ()

    void        ev_job_load_run                 (EvJobLoad *load);

`load` : |

### ev_job_save_get_type ()

    GType       ev_job_save_get_type            (void);

Returns : |

### ev_job_save_new ()

    EvJob*      ev_job_save_new                 (EvDocument *document,
                                                 const gchar *uri,
                                                 const gchar *document_uri);

`document` : |
`uri` : |
`document_uri` : |
Returns : |

### ev_job_save_run ()

    void        ev_job_save_run                 (EvJobSave *save);

`save` : |

### ev_job_print_get_type ()

    GType       ev_job_print_get_type           (void);

Returns : |

### ev_job_print_new ()

    EvJob*      ev_job_print_new                (EvDocument *document,
                                                 const gchar *format,
                                                 gdouble width,
                                                 gdouble height,
                                                 EvPrintRange *ranges,
                                                 gint n_ranges,
                                                 EvPrintPageSet page_set,
                                                 gint pages_per_sheet,
                                                 gint copies,
                                                 gdouble collate,
                                                 gdouble reverse);

`document` : |
`format` : |
`width` : |
`height` : |
`ranges` : |
`n_ranges` : |
`page_set` : |
`pages_per_sheet` : |
`copies` : |
`collate` : |
`reverse` : |
Returns : |

### ev_job_print_run ()

    void        ev_job_print_run                (EvJobPrint *print);

`print` : |

## Signal Details

### The "page-ready" signal

    void        user_function                  (EvJobRender *evjobrender,
                                                gpointer     user_data)        : Run last

`evjobrender` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.